Bug 972531 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'rename' accesses on the file videostats.sxx.
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'rename' acc...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:4e906d6c827b5f9c8110b27e46d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 17:54 EDT by morgan read
Modified: 2013-06-12 04:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 04:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2013-06-09 17:54:02 EDT
Description of problem:
Think I must have watched a vid on utube.
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'rename' accesses on the file videostats.sxx.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that plugin-container should be allowed rename access on the videostats.sxx file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                videostats.sxx [ file ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xulrunner-21.0-4.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   5
First Seen                    2013-06-05 13:45:48 BST
Last Seen                     2013-06-09 20:22:34 BST
Local ID                      0d0b3a69-77bd-4c46-9414-9bfc4fb68fb6

Raw Audit Messages
type=AVC msg=audit(1370805754.750:1220): avc:  denied  { rename } for  pid=27053 comm="plugin-containe" name="videostats.sxx" dev="dm-5" ino=11403410 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1370805754.750:1220): arch=x86_64 syscall=rename success=yes exit=0 a0=7fd4815fb5e0 a1=7fd4815fb640 a2=7fff04234b40 a3=7fff04234870 items=0 ppid=2671 pid=27053 auid=1001 uid=1001 gid=1001 euid=1001 suid=1001 fsuid=1001 egid=1001 sgid=1001 fsgid=1001 ses=2 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,user_home_t,file,rename

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t user_home_t:file rename;

audit2allow -R
require {
	type mozilla_plugin_t;
}

#============= mozilla_plugin_t ==============
userdom_manage_user_home_content_files(mozilla_plugin_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport

Potential duplicate: bug 827155
Comment 1 Miroslav Grepl 2013-06-12 04:08:30 EDT
Execute

# restorecon -R -v /home


which should fix labeling.

Note You need to log in before you can comment on or make changes to this bug.